<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HashAlgorithm (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HashAlgorithm (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HashAlgorithm.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/HashAlgorithm.html" target="_top">Frames</a>
        </li>
        <li><a href="HashAlgorithm.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.crypt</div>
    <h2 title="Enum HashAlgorithm" class="title">Enum HashAlgorithm</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                         title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.poifs.crypt.HashAlgorithm</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                            title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">HashAlgorithm</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                             title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#md2">md2</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#md4">md4</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#md5">md5</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#none">none</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#ripemd128">ripemd128</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#ripemd160">ripemd160</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#ripemd256">ripemd256</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#sha1">sha1</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#sha224">sha224</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#sha256">sha256</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#sha384">sha384</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#sha512">sha512</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#whirlpool">whirlpool</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#ecmaId">ecmaId</a></span></code>
                                    <div class="block">the id used for the BIFF encryption info header</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#ecmaString">ecmaString</a></span></code>
                                    <div class="block">the id used for OOXML encryption info header</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#hashSize">hashSize</a></span></code>
                                    <div class="block">the length of the digest byte array</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#jceHmacId">jceHmacId</a></span></code>
                                    <div class="block">the id used for the integrity algorithm in agile encryption</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#jceId">jceId</a></span></code>
                                    <div class="block">the id used for initializing the JCE message digest</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#needsBouncyCastle">needsBouncyCastle</a></span></code>
                                    <div class="block">is bouncycastle necessary for calculating the digest</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#rsaOid">rsaOid</a></span></code>
                                    <div class="block">ASN1 object identifier of the digest value in combination with
                                        the RSA cipher
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#fromEcmaId-int-">fromEcmaId</a></span>(int&nbsp;ecmaId)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#fromEcmaId-java.lang.String-">fromEcmaId</a></span>(java.lang.String&nbsp;ecmaString)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#fromString-java.lang.String-">fromString</a></span>(java.lang.String&nbsp;string)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="none">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>none</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> none</pre>
                            </li>
                        </ul>
                        <a name="sha1">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sha1</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> sha1</pre>
                            </li>
                        </ul>
                        <a name="sha256">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sha256</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> sha256</pre>
                            </li>
                        </ul>
                        <a name="sha384">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sha384</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> sha384</pre>
                            </li>
                        </ul>
                        <a name="sha512">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sha512</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> sha512</pre>
                            </li>
                        </ul>
                        <a name="md5">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>md5</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> md5</pre>
                            </li>
                        </ul>
                        <a name="md2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>md2</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> md2</pre>
                            </li>
                        </ul>
                        <a name="md4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>md4</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> md4</pre>
                            </li>
                        </ul>
                        <a name="ripemd128">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ripemd128</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> ripemd128</pre>
                            </li>
                        </ul>
                        <a name="ripemd160">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ripemd160</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> ripemd160</pre>
                            </li>
                        </ul>
                        <a name="whirlpool">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>whirlpool</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> whirlpool</pre>
                            </li>
                        </ul>
                        <a name="sha224">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sha224</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> sha224</pre>
                            </li>
                        </ul>
                        <a name="ripemd256">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ripemd256</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a> ripemd256</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="jceId">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>jceId</h4>
                                <pre>public final&nbsp;java.lang.String jceId</pre>
                                <div class="block">the id used for initializing the JCE message digest</div>
                            </li>
                        </ul>
                        <a name="ecmaId">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ecmaId</h4>
                                <pre>public final&nbsp;int ecmaId</pre>
                                <div class="block">the id used for the BIFF encryption info header</div>
                            </li>
                        </ul>
                        <a name="ecmaString">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ecmaString</h4>
                                <pre>public final&nbsp;java.lang.String ecmaString</pre>
                                <div class="block">the id used for OOXML encryption info header</div>
                            </li>
                        </ul>
                        <a name="hashSize">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashSize</h4>
                                <pre>public final&nbsp;int hashSize</pre>
                                <div class="block">the length of the digest byte array</div>
                            </li>
                        </ul>
                        <a name="jceHmacId">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>jceHmacId</h4>
                                <pre>public final&nbsp;java.lang.String jceHmacId</pre>
                                <div class="block">the id used for the integrity algorithm in agile encryption</div>
                            </li>
                        </ul>
                        <a name="needsBouncyCastle">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>needsBouncyCastle</h4>
                                <pre>public final&nbsp;boolean needsBouncyCastle</pre>
                                <div class="block">is bouncycastle necessary for calculating the digest</div>
                            </li>
                        </ul>
                        <a name="rsaOid">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>rsaOid</h4>
                                <pre>public final&nbsp;java.lang.String rsaOid</pre>
                                <div class="block">ASN1 object identifier of the digest value in combination with the
                                    RSA cipher
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (HashAlgorithm c : HashAlgorithm.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fromEcmaId-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromEcmaId</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;fromEcmaId(int&nbsp;ecmaId)</pre>
                            </li>
                        </ul>
                        <a name="fromEcmaId-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fromEcmaId</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;fromEcmaId(java.lang.String&nbsp;ecmaString)</pre>
                            </li>
                        </ul>
                        <a name="fromString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>fromString</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                        title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;fromString(java.lang.String&nbsp;string)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HashAlgorithm.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
               title="class in org.apache.poi.poifs.crypt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/HashAlgorithm.html" target="_top">Frames</a>
        </li>
        <li><a href="HashAlgorithm.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
